Subject: bug#37782: closed (Re: bug#37782: Emacs 27 client adding [I] to the beginning of the buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Oct 2019 10:32:02 +0000

Your bug report

#37782: Emacs 27 client adding [I] to the beginning of the buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37782: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37782
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37782: Emacs 27 client adding [I] to the beginning of the buffer
From: Eli Zaretskii <[email-masked]>
To: Carlos Pita <[email-masked]>
Cc: [email-masked]
Date: Sat, 26 Oct 2019 13:30:54 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Carlos Pita <[email-masked]>
> Date: Sat, 19 Oct 2019 00:20:05 -0300
> Cc: [email-masked]
> 
> The problem with the fix for #5095 is that it's dropping the current
> event, which is a valid char event and not -2. Thus, the first esc
> char sent by the terminal after turning on focus tracking is lost and
> we get `[`, `I` events separately inserted into the buffer afterwards.
> 
> Attached is a patch that replays key as mock input when it's not -2.

Thanks, pushed, and closing the bug.

Subject: Emacs 27 client adding [I] to the beginning of the buffer
From: Carlos Pita <[email-masked]>
To: [email-masked]
Date: Wed, 16 Oct 2019 19:45:12 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that when running emacs 27 in client/server mode I often
open a file to find out that the string "[I]" (it's an upper-case i,
not a lower-case L) has been added to the beginning of the buffer. I
don't have this problem with 26.3.

Best regards
--
Carlos